Name:           libjingle
Version:        0.3.12
Release:        6%{?dist}
Summary:        GoogleTalk implementation of Jingle

Group:          System Environment/Libraries
License:        BSD
URL:            http://code.google.com/apis/talk/libjingle/
Source0:        http://farsight.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-gcc44.patch
Patch1:		libjingle-0.3.12-openssl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	openssl-devel
BuildRequires:	pkgconfig 


%description
Libjingle is Google Talk's implementation of Jingle and Jingle-Audio
(proposed extensions to XMPP) to interoperate with Google Talk's
peer-to-peer and voice calling capabilities.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	openssl-devel


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .gcc
%patch1 -p1 -b .openssl

%build
%configure --disable-static
# Remove rpath.
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_bindir}/relayserver
%{_bindir}/stunserver
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-0.3/
%{_libdir}/*.so
%{_libdir}/pkgconfig/jinglebase-0.3.pc
%{_libdir}/pkgconfig/jinglep2p-0.3.pc


%changelog
* Tue Aug 25 2009 Tomas Mraz <tmraz@redhat.com> - 0.3.12-6
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar  2 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.3.12-4
- Add patch to fix gcc-4.4.0 errors.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 0.3.12-2
- rebuild with new openssl

* Wed Sep 17 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.12-1
- Update to 0.3.12.
- Add hack to remove rpath.
- Update source url.
- Drop gcc patch. Fixed upstream.
- Drop expat-devel BR.  Not needed anymore.
- Drop *.pc files no longer available.

* Sun Mar 16 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-8
- Add patch to fix build w/ gcc4.3.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.11-7
- Autorebuild for GCC 4.3

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-6
- Rebuild for gcc-4.3.

* Wed Dec  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-5
- rebuild for new libssl.so.6/libcrypto.so.6

* Tue Aug 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-4
- Rebuild for expat 2.0.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-3
- Rebuild.

* Wed Jun 27 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-2
- Update URL.

* Fri May 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-1
- Update 0.3.11.

* Mon Sep  4 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.10-1
- Initial FE spec.
